using System;

namespace Server.Items
{
	public class Fass : Item
	{

		[Constructable]
		public Fass() : base(0xFAE)
		{
			Weight = 1.0;
			Movable = true;
		}

		public Fass(Serial serial) : base(serial)
		{
		}

		public override void OnDoubleClick( Mobile from )
        	{
			Movable = !Movable;
        	}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();

			if ( Weight == 4.0 )
				Weight = 1.0;
		}
	}
}